devguard
Audit items

Get a list of paginated findings.

GET
/audit-items/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

limit?number
Range5 <= value <= 100
Default100
page?number
Range1 <= value
Default1
organizationId*string
Length1 <= length
orderByName?string

Value in

  • "asc"
  • "desc"
filterByName?string
filterByArchived?string
Default"active"

Value in

  • "active"
  • "archived"
filterByStatus?string

Value in

  • "OPEN"
  • "IN_PROGRESS"
  • "CLOSED"
filterByType?string

Value in

  • "MAJOR_NONCONFORMITY"
  • "MINOR_NONCONFORMITY"
  • "NONCONFORMITY"
  • "OBSERVATION"
  • "OPPORTUNITY_FOR_IMPROVEMENT"
  • "CONFORMITY"
auditId?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/audit-items/?organizationId=string"
{  "items": [    {      "id": "string",      "slug": "string",      "name": "string",      "deadline": "string",      "identifier": "string",      "type": "MAJOR_NONCONFORMITY",      "status": "OPEN",      "source": "AUDIT",      "findings": "string",      "causes": "string",      "correction": "string",      "measures": "string",      "notes": "string",      "verifiedAt": "string",      "verifiedById": "string",      "verifiedByName": "string",      "verificationNote": "string",      "archivedAt": "string",      "createdAt": "string",      "updatedAt": "string",      "organizationId": "string",      "controlId": "string",      "auditId": "string",      "assigneeMemberId": "string",      "assigneeBusinessRoleId": "string",      "processRunId": "string",      "incidentId": "string",      "sourceReference": "string",      "audit": {        "id": "string",        "slug": "string",        "name": "string"      },      "assigneeBusinessRole": {        "id": "string",        "slug": "string",        "name": "string"      },      "processRun": {        "id": "string",        "shortId": 0,        "number": "string"      },      "incident": {        "slug": "string",        "shortId": 0      }    }  ],  "total": 0,  "page": 0,  "limit": 0}

How is this guide?